Subject: [Simple] Re: [XCON] Chat and Instant Messaging in XCON

From: Salvatore Loreto <[email-masked]>
Date: Mon, 02 Apr 2007 09:33:49 +0300

Hi all,

I am forwarding this mail also to the simple mailing list, because
chatting is something in between this two WGs.

I was just wondering how should be possible to register a Nick Name not
only restrictedly to the duration of a conference/chat, but register it
*permanently*, so this nick will be always associated to the same user
and only to him.

Of course this permanent registration should be limited on a conference
server base or instead have a larger validity, for example on a
nicknaming services provider base.

/sal

On Fri, 2007-03-30 at 13:40 -0400, Paul Kyzivat wrote:
> 
> Lorenzo Miniero wrote:
> 
> > 2) Of course, chat and IM mean nicknames... should them be unique in the 
> > whole conferencing system or in a specific conference instance only? I 
> > tend to prefer the first option, but since the "key" to identify an user 
> > will be its XCON userid, this could be not mandatory (even if 
> > recommended...) and mostly fall in 'social' and security matters. 
> > Besides, in case we choose to have IM gateway functionality, potential 
> > conflicts and alignment problems on nicknames could arise which should 
> > be addressed.
> 
> I think nicknames would best be handled by simply getting an AOR from a 
> suitable "nickname provider". You could actually register with this 
> provider, or it could simply retarget requests to some other AOR you 
> own. If need be you could bundle this with an anonymizer or use a 
> separate anonymizer as well.
> 
> There could be some advantages to collocating such a provider with a 
> conference server, but thats just an implementation issue.
> 
> 	Paul
> 
> _______________________________________________
> XCON mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/xcon

On Wed, 2007-03-28 at 17:13 +0200, Lorenzo Miniero wrote: 
> Dear all,
> 
> even though this may be premature, considering the current status and 
> slowness of the ongoing work here in XCON, I'd like to start some seeds 
> of discussion upon a sentitive matter: chat and instant messaging.
> As far as I remember from previous discussions, in fact, it was 
> specified that this would have fallen in XCON duties and nowhere else.
> 
> 
> That said, starting from some discussions I had with some people on the 
> matter and from the issues which arose there, I have some questions I'd 
> like to know your opinion about.
> 
> 
> 1) Being XCON a CSP agnostic framework, does this apply to IM protocols 
> too? i.e., will we envisage a gateway functionality for IM protocols as 
> we do for CSP? We've only talked about MSRP so far, but I'm thinking to 
> protocols as IRC, XMPP, etc. as well.
> 
> 2) Of course, chat and IM mean nicknames... should them be unique in the 
> whole conferencing system or in a specific conference instance only? I 
> tend to prefer the first option, but since the "key" to identify an user 
> will be its XCON userid, this could be not mandatory (even if 
> recommended...) and mostly fall in 'social' and security matters. 
> Besides, in case we choose to have IM gateway functionality, potential 
> conflicts and alignment problems on nicknames could arise which should 
> be addressed.
> 
> 3) Should nicknames appear in the base data model, or in subsequent 
> extensions? And in both cases, how? Considering the gateway case, a 
> mapping among nicknames in different IM protocols could naturally come 
> from there, as happens for CSP URIs.
> 
> 4) Will XCON file transfer functionality fall in IM field (since almost 
> all such protocols envisage it), or will we address it in other ways?
> 
> 
> That's all. As I said at the beginning, these questions are intended to 
> be only seeds for a hopefully soon-to-start wider discussion upon IM in 
> XCON. I'm looking forward to hear your comments and opinions about these 
> matters.
> 
> Regards,
> Lorenzo
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: "Brian Rosen" <[email-masked]>
Date: Wed, 4 Apr 2007 10:56:00 -0400

Please see:
http://tools.ietf.org/html/draft-niemi-simple-chat-06

There was some discussion of nicknames in the past.  There is some
discussion happening with the authors of this work on that subject now.

Brian

> -----Original Message-----
> From: Salvatore Loreto [mailto:[email-masked]]
> Sent: Monday, April 02, 2007 2:34 AM
> To: Paul Kyzivat
> Cc: [email-masked]; [email-masked]
> Subject: Re: [XCON] Chat and Instant Messaging in XCON
> 
> Hi all,
>